/*
 * Copyright 1993, 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/*
	defs.h
	Drew Olbrich, 1992
*/

#ifndef _DEFS
#define _DEFS

#define WIN_TITLE   "distort"
#define ICON_TITLE  "distort"

#define MSG_NO_TEXTURING  "This demo requires texture mapping support."

#define DEFAULT_IMAGE_FN  "distort.rgb"

#define DEFAULT_EFFECT  ripple

#define WAIT_MSG  "Please wait..."

#define WIN_SIZE_X  800
#define WIN_SIZE_Y  800

#define GRID_SIZE_X  32
#define GRID_SIZE_Y  32

#define CLIP_NEAR  0.0
#define CLIP_FAR   1000.0

/*
	The following structure defines functions unique to each
	distortion effect.  Depending on which distortion is
	selected, a different set of functions is called.

	Obviously this should all be written in C++.  Maybe.
*/

typedef struct {
  void (* init)();
  void (* dynamics)();
  void (* redraw)();
  void (* click)();
} EFFECT;

extern EFFECT ripple;
extern EFFECT rubber;

#endif
